Bug 1576060 - gnus-bonus files break gnus
Summary: gnus-bonus files break gnus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-goodies
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Arun S A G
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 17:01 UTC by Jason Tibbitts
Modified: 2018-10-02 19:27 UTC (History)
2 users (show)

Fixed In Version: emacs-goodies-40.1-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-02 19:27:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Jason Tibbitts 2018-05-08 17:01:45 UTC
I recently tried using the stock gnus provided by emacs instead of using my own copy (which had become outdated).  I found that the included copy of nnir.el shadows the version provided by emacs, prompting errors like "error "Autoloading failed to define function gnus-nnir-group-p" upon opening replying to a message.

I would guess this has something to do with the tarball from debian being a few years old.  Things have probably moved into emacs proper since then.

Comment 1 Jan Kurik 2018-08-14 10:03:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Fedora Update System 2018-09-10 22:10:56 UTC
emacs-goodies-40.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-dab23d34c7

Comment 3 Fedora Update System 2018-09-13 03:30:42 UTC
emacs-goodies-40.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-dab23d34c7

Comment 4 Fedora Update System 2018-10-02 19:27:50 UTC
emacs-goodies-40.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.